Bug 220760 - security/botan110: fails to build with boost 1.65 (5 ports skipped)
Summary: security/botan110: fails to build with boost 1.65 (5 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://github.com/boostorg/admin/iss...
Keywords: patch
Depends on:
Blocks: 220714
  Show dependency treegraph
 
Reported: 2017-07-16 11:34 UTC by Jan Beich
Modified: 2017-09-26 23:39 UTC (History)
5 users (show)

See Also:
dmgk: maintainer-feedback+
tremere: maintainer-feedback+


Attachments
Replace Boost TR1 with C++11 (3.26 KB, patch)
2017-09-21 21:34 UTC, Jan Beich
jbeich: maintainer-approval? (lapo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-07-16 11:34:28 UTC
TR1 compat library is gone after bug 220714, so you need to switch to C++11. For an example fix see bug 220715.

=======================<phase: build-depends  >============================
===>   botan110-1.10.13_3 depends on file: /usr/local/include/boost/tr1/memory.hpp - not found
===>   Installing existing package /packages/All/boost-libs-1.65.0.txz
[103amd64-default-PR220714-job-19] Installing boost-libs-1.65.0...
[103amd64-default-PR220714-job-19] `-- Installing icu-58.2_2,1...
[103amd64-default-PR220714-job-19] `-- Extracting icu-58.2_2,1: .......... done
[103amd64-default-PR220714-job-19] Extracting boost-libs-1.65.0: .......... done
Message from boost-libs-1.65.0:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   botan110-1.10.13_3 depends on file: /usr/local/include/boost/tr1/memory.hpp - not found
*** Error code 1

http://package22.nyi.freebsd.org/data/103amd64-default-PR220714/2017-07-15_11h52m05s/logs/errors/botan110-1.10.13_3.log
Comment 1 Jan Beich freebsd_committer 2017-09-21 21:34:30 UTC
Created attachment 186603 [details]
Replace Boost TR1 with C++11

This port will be marked BROKEN on 2017-09-25. Here's an example fix.
Comment 2 Jan Beich freebsd_committer 2017-09-22 03:01:09 UTC
Can one of maintainers that depend on this port test *runtime* with the patch here?
Comment 3 Dmitri Goutnik freebsd_committer 2017-09-22 14:02:22 UTC
No issues with editors/encryptpad
Comment 4 Ralf van der Enden 2017-09-25 07:38:05 UTC
This issue unearthed an issue with both dns/powerdns and dns/powerdns-recursor, which is not related to whatever TR1 implementation is used. Upstream discovered the issue as well while implementing support for botan 2.0 and patched it. With that patch botan works with both boost TR1 and system TR1 
.

In short, no issues with dns/powerdns and dns/powerdns-recursor
Comment 5 commit-hook freebsd_committer 2017-09-26 23:37:30 UTC
A commit references this bug:

Author: jbeich
Date: Tue Sep 26 23:37:20 UTC 2017
New revision: 450702
URL: https://svnweb.freebsd.org/changeset/ports/450702

Log:
  security/botan110: make ECC mandatory

  Boost >= 1.65 no longer provides TR1. However, GCC defaults to C++14
  while libc++ leaks enough C++11 features that TR1 can be emulated in
  C++98 mode.

  PR:		220760
  Approved by:	portmgr blanket
  Tested by:	Dmitri Goutnik, Ralf van der Enden

Changes:
  head/security/botan110/Makefile
  head/security/botan110/files/patch-src_ssl_tls__record.h
Comment 6 Jan Beich freebsd_committer 2017-09-26 23:39:03 UTC
Thanks for testing. Landed.